### Enumeration

# Qmi NasNetworkNameDisplayCondition

since: 1.18

#### Declaration

    flags Qmi.NasNetworkNameDisplayCondition

#### Description [src]

Flags used to control display of the PLMN name and Service Provider Name. See 3GPP TS 51.011 descripton of the EFspn SIM file for more details.

Available since: 1.18

#### Members

`QMI_NAS_NETWORK_NAME_DISPLAY_CONDITION_DISPLAY_REGISTERED_PLMN_IF_KNOWN_NETWORK`

  If set, display of the registered PLMN is required when the registered PLMN is either the HPLMN or a PLMN in the Service Provider PLMN List (see EFspdi). Otherwise display of the registered PLMN is not required in this case.

  - Value: `1`
  - Available since: 1.18
`QMI_NAS_NETWORK_NAME_DISPLAY_CONDITION_DISPLAY_SPN_NOT_REQUIRED_IF_UNKNOWN_NETWORK`

  If set, display of the Service Provider Name is not required when registered PLMN is neither HPLMN nor a PLMN in the service provider PLMN list (see EFspdi). If not set, SPN display is required in this case.

  - Value: `2`
  - Available since: 1.18

#### Type functions

###### qmi_nas_network_name_display_condition_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiNasNetworkNameDisplayCondition` in `mask`.

since: 1.18